# reddoor_types
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: reddoor_types
version: 1.0.0
description: OpenAPI API client
dependencies:
  reddoor_types:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  reddoor_types:
    path: /path/to/reddoor_types
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:reddoor_types/api.dart';

// TODO Configure HTTP basic authorization: bearerAuth
//reddoor_types.api.Configuration.username = 'YOUR_USERNAME';
//reddoor_types.api.Configuration.password = 'YOUR_PASSWORD';

var api_instance = new AgentsApi();
var agentID = agentID_example; // String | The id of the agent
var xCode = xCode_example; // String | Required in production

try {
    var result = api_instance.agentsAgentIDDelete(agentID, xCode);
    print(result);
} catch (e) {
    print("Exception when calling AgentsApi->agentsAgentIDDelete: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AgentsApi* | [**agentsAgentIDDelete**](doc//AgentsApi.md#agentsagentiddelete) | **DELETE** /agents/{agentID} | Delete an agent
*AgentsApi* | [**agentsAgentIDGet**](doc//AgentsApi.md#agentsagentidget) | **GET** /agents/{agentID} | Agent info
*AgentsApi* | [**agentsCheckCodePost**](doc//AgentsApi.md#agentscheckcodepost) | **POST** /agents/check-code | Checks if an agent code is correct
*BuyersApi* | [**usersAnswerPost**](doc//BuyersApi.md#usersanswerpost) | **POST** /users/answer | Answer onboarding questions
*BuyersApi* | [**usersConnectBankPost**](doc//BuyersApi.md#usersconnectbankpost) | **POST** /users/connect-bank | Connect Plaid bank account
*BuyersApi* | [**usersRevealSsnPost**](doc//BuyersApi.md#usersrevealssnpost) | **POST** /users/reveal-ssn | Reveal SSN
*BuyersApi* | [**usersSecureConsumerIdPost**](doc//BuyersApi.md#userssecureconsumeridpost) | **POST** /users/secure-consumer-id | Get secure consumer ID
*BuyersApi* | [**usersUserIDDelete**](doc//BuyersApi.md#usersuseriddelete) | **DELETE** /users/{userID} | Delete buyer account
*BuyersApi* | [**usersUserIDMarkIncomeVerifiedPost**](doc//BuyersApi.md#usersuseridmarkincomeverifiedpost) | **POST** /users/{userID}/mark-income-verified | Mark user income as verified
*BuyersApi* | [**usersUserIDMaxBuyingPowerGet**](doc//BuyersApi.md#usersuseridmaxbuyingpowerget) | **GET** /users/{userID}/max-buying-power | Fetch buyer&#39;s max buying power
*BuyersApi* | [**usersUserIDPut**](doc//BuyersApi.md#usersuseridput) | **PUT** /users/{userID} | Update buyer details
*PropertiesApi* | [**propertiesPropertyIDGet**](doc//PropertiesApi.md#propertiespropertyidget) | **GET** /properties/{propertyID} | Property info
*PropertiesApi* | [**propertiesSearchPost**](doc//PropertiesApi.md#propertiessearchpost) | **POST** /properties/search | Property info
*ToolsApi* | [**agoliaSearchKeyGet**](doc//ToolsApi.md#agoliasearchkeyget) | **GET** /agolia/search-key | Get algolia search key
*ToolsApi* | [**clearbitDocumentPost**](doc//ToolsApi.md#clearbitdocumentpost) | **POST** /clearbit/document | Save user enrichment data from Clearbit
*ToolsApi* | [**closeCrmImportLeadsPost**](doc//ToolsApi.md#closecrmimportleadspost) | **POST** /close-crm/import-leads | Import lead from Close CRM into Firebase


## Documentation For Models

 - [Address](doc//Address.md)
 - [Agent](doc//Agent.md)
 - [Buyer](doc//Buyer.md)
 - [BuyerAdditionalInfo](doc//BuyerAdditionalInfo.md)
 - [Error](doc//Error.md)
 - [FullSSN](doc//FullSSN.md)
 - [Money](doc//Money.md)
 - [OnboardingAnswer](doc//OnboardingAnswer.md)
 - [Property](doc//Property.md)
 - [PropertyAddress](doc//PropertyAddress.md)
 - [PropertyListingAgent](doc//PropertyListingAgent.md)
 - [PropertyListingAgentAllOf](doc//PropertyListingAgentAllOf.md)
 - [PropertyListingOffice](doc//PropertyListingOffice.md)
 - [PropertySearchInput](doc//PropertySearchInput.md)
 - [SecureSSN](doc//SecureSSN.md)
 - [Success](doc//Success.md)


## Documentation For Authorization


## bearerAuth

- **Type**: HTTP basic authentication


## Author




