part of reddoor_types.models;

class Address {
  
  String city = null;
  
  String street = null;
  
  String zip = null;
  
  String state = null;
  
  String apt = null;
  Address();

  @override
  String toString() {
    return 'Address[city=$city, street=$street, zip=$zip, state=$state, apt=$apt, ]';
  }

  Address.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['city'] == null) {
      city = null;
    } else {
      city = json['city'];
    }
    if (json['street'] == null) {
      street = null;
    } else {
      street = json['street'];
    }
    if (json['zip'] == null) {
      zip = null;
    } else {
      zip = json['zip'];
    }
    if (json['state'] == null) {
      state = null;
    } else {
      state = json['state'];
    }
    if (json['apt'] == null) {
      apt = null;
    } else {
      apt = json['apt'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'city': city,
      'street': street,
      'zip': zip,
      'state': state,
      'apt': apt
    };
  }

  static List<Address> listFromJson(List<dynamic> json) {
    return json == null ? new List<Address>() : json.map((value) => new Address.fromJson(value)).toList();
  }

  static Map<String, Address> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Address>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Address.fromJson(value));
    }
    return map;
  }
}

