part of reddoor_types.models;

class Error {
  
  bool success = false;
  
  int code = 500;
  
  String message = null;
  Error();

  @override
  String toString() {
    return 'Error[success=$success, code=$code, message=$message, ]';
  }

  Error.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['success'] == null) {
      success = null;
    } else {
      success = json['success'];
    }
    if (json['code'] == null) {
      code = null;
    } else {
      code = json['code'];
    }
    if (json['message'] == null) {
      message = null;
    } else {
      message = json['message'];
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'success': success,
      'code': code,
      'message': message
    };
  }

  static List<Error> listFromJson(List<dynamic> json) {
    return json == null ? new List<Error>() : json.map((value) => new Error.fromJson(value)).toList();
  }

  static Map<String, Error> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Error>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Error.fromJson(value));
    }
    return map;
  }
}

