part of reddoor_types.models;

class OnboardingAnswer {
  
  String clientMessageText = null;
  
  String clientMessageID = null;
  
  String infoCollectionPhase = null;
  //enum infoCollectionPhaseEnum {  NOT_STARTED,  EMAIL,  ADDRESS,  ADDITIONAL_INFO,  CONSENT,  SSN,  };{
  
  Buyer payload = null;
  OnboardingAnswer();

  @override
  String toString() {
    return 'OnboardingAnswer[clientMessageText=$clientMessageText, clientMessageID=$clientMessageID, infoCollectionPhase=$infoCollectionPhase, payload=$payload, ]';
  }

  OnboardingAnswer.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['clientMessageText'] == null) {
      clientMessageText = null;
    } else {
      clientMessageText = json['clientMessageText'];
    }
    if (json['clientMessageID'] == null) {
      clientMessageID = null;
    } else {
      clientMessageID = json['clientMessageID'];
    }
    if (json['infoCollectionPhase'] == null) {
      infoCollectionPhase = null;
    } else {
      infoCollectionPhase = json['infoCollectionPhase'];
    }
    if (json['payload'] == null) {
      payload = null;
    } else {
      payload = new Buyer.fromJson(json['payload']);
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'clientMessageText': clientMessageText,
      'clientMessageID': clientMessageID,
      'infoCollectionPhase': infoCollectionPhase,
      'payload': payload
    };
  }

  static List<OnboardingAnswer> listFromJson(List<dynamic> json) {
    return json == null ? new List<OnboardingAnswer>() : json.map((value) => new OnboardingAnswer.fromJson(value)).toList();
  }

  static Map<String, OnboardingAnswer> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, OnboardingAnswer>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new OnboardingAnswer.fromJson(value));
    }
    return map;
  }
}

