part of reddoor_types.models;

class Property {
  
  int listPrice = null;
  
  List<String> images = [];
  
  PropertyAddress address = null;
  
  int baths = null;
  
  int beds = null;
  
  PropertyListingAgent listingAgent = null;
  
  PropertyListingOffice listingOffice = null;
  Property();

  @override
  String toString() {
    return 'Property[listPrice=$listPrice, images=$images, address=$address, baths=$baths, beds=$beds, listingAgent=$listingAgent, listingOffice=$listingOffice, ]';
  }

  Property.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    if (json['listPrice'] == null) {
      listPrice = null;
    } else {
      listPrice = json['listPrice'];
    }
    if (json['images'] == null) {
      images = null;
    } else {
      images = (json['images'] as List).map((item) => item as String).toList();
    }
    if (json['address'] == null) {
      address = null;
    } else {
      address = new PropertyAddress.fromJson(json['address']);
    }
    if (json['baths'] == null) {
      baths = null;
    } else {
      baths = json['baths'];
    }
    if (json['beds'] == null) {
      beds = null;
    } else {
      beds = json['beds'];
    }
    if (json['listingAgent'] == null) {
      listingAgent = null;
    } else {
      listingAgent = new PropertyListingAgent.fromJson(json['listingAgent']);
    }
    if (json['listingOffice'] == null) {
      listingOffice = null;
    } else {
      listingOffice = new PropertyListingOffice.fromJson(json['listingOffice']);
    }
  }

  Map<String, dynamic> toJson() {
    return {
      'listPrice': listPrice,
      'images': images,
      'address': address,
      'baths': baths,
      'beds': beds,
      'listingAgent': listingAgent,
      'listingOffice': listingOffice
    };
  }

  static List<Property> listFromJson(List<dynamic> json) {
    return json == null ? new List<Property>() : json.map((value) => new Property.fromJson(value)).toList();
  }

  static Map<String, Property> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Property>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Property.fromJson(value));
    }
    return map;
  }
}

